Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogicx.jsp.tags.validators
Interface Customizable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CustomizableAdapter

public interface Customizable
extends Serializable

Interface to be implemented by clients wanting to substitute their own validate methods and thus creating new classes to be used as validatorClass attributes in the CustomValidator.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `setErrorMessage(String name)` error message being shown to the user.
`void` | `setExpression(String type)` customExpression which may be used by the implementor for use in the validate method
`void` | `setFieldToValidate(String control)` field being validated
`boolean` | `validate(ServletRequest request)` users may use this method to validate the string value.

Method Detail

### setErrorMessage

    public void setErrorMessage(String name)

  error message being shown to the user.

### setExpression

    public void setExpression(String type)

  customExpression which may be used by the implementor for use in the validate method

### setFieldToValidate

    public void setFieldToValidate(String control)

  field being validated

### validate

    public boolean validate(ServletRequest request)
                     throws Exception

  users may use this method to validate the string value. for eg: the value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

  Returns:
    boolean indicating operation status
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD